package com.ether.dao;

import com.ether.PersistenceException;
import com.ether.tapas.Observatory;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

import java.util.List;

/**
 * @author vmipsl
 * @date may 2011
 * Example for a DAO
 */
public interface ObservatoryDAO
	extends DomainAccessObject<Observatory, Integer>
{

    @NotNull
    List<Observatory> getAllObservatories() throws PersistenceException;

    @Nullable
    Observatory getObservatoryById(@NotNull final long id) throws PersistenceException;
}